Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-31039

set minvalid term to -1 on pv1 downgrade

    XMLWordPrintable

Details

    • Bug
    • Status: Closed
    • Major - P3
    • Resolution: Duplicate
    • None
    • None
    • Replication
    • None
    • Fully Compatible
    • ALL
    • v3.4, v3.2
    • Repl 2017-10-02, Repl 2017-10-23, Repl 2017-11-13

    Description

      When we upgrade to pv1 after previously downgrading, the node's term will be set to 0. If the term of minValid is greater than 0, we will not be able to find a sync source. Setting it to -1 on downgrade will avoid this.

      Attachments

        1. pvUpgradeDowngrade.js
          3 kB
          Judah Schvimer

        Issue Links

          Activity

            People

              siyuan.zhou@mongodb.com Siyuan Zhou
              judah.schvimer@mongodb.com Judah Schvimer
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: